Bug 830410 - Missing Requires %{?_isa}
Missing Requires %{?_isa}
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 05:59 EDT by Jan Kratochvil
Modified: 2012-07-30 18:24 EDT (History)
4 users (show)

See Also:
Fixed In Version: nss-3.13.5-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 05:13:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2012-06-09 05:59:45 EDT
Description of problem:
Tried to update F17 and it does not work

Version-Release number of selected component (if applicable):
nss-3.13.4-3.fc17.x86_64

How reproducible:
It happened now.

Steps to Reproduce:
yum update

Actual results:
--> Processing Dependency: nss = 3.13.4-2.fc17 for package: nss-tools-3.13.4-2.fc17.x86_64
---> Package nss.i686 0:3.13.4-2.fc17 will be installed
Error: Protected multilib versions: nss-3.13.4-2.fc17.i686 != nss-3.13.4-3.fc17.x86_64

Expected results:
--> Processing Dependency: nss.x86_64 = 3.13.4-2.fc17 for package: nss-tools-3.13.4-2.fc17.x86_64
---> Package nss.x86_64 0:3.13.4-2.fc17 will be installed

Additional info:
---> Package openldap.x86_64 0:2.4.31-1.fc17 will be updated
---> Package openldap.x86_64 0:2.4.31-2.fc17 will be an update
--> Processing Dependency: nss-tools for package: openldap-2.4.31-2.fc17.x86_64
--> Running transaction check
---> Package nss-tools.x86_64 0:3.13.4-2.fc17 will be installed
--> Processing Dependency: nss = 3.13.4-2.fc17 for package: nss-tools-3.13.4-2.fc17.x86_64
--> Running transaction check
---> Package nss.i686 0:3.13.4-2.fc17 will be installed

http://fedoraproject.org/wiki/Packaging:Guidelines#Requires
A dependency is made arch-specific by appending the macro %{?_isa} to the package name.

%package tools
Requires:         nss = %{version}-%{release}
                                            ^^^^
Requires:         nss = %{version}-%{release}%{?_isa}

But 'nss-tools' already auto-Requires 'libnss3.so()(64bit)' so I believe this Requires line can be just removed.  This applies also to other lines like:
Requires:         zlib
and other sub-packages of nss.
Comment 1 Elio Maldonado Batiz 2012-06-27 12:51:22 EDT
(In reply to comment #0)
> Requires:         nss = %{version}-%{release}%{?_isa}
I think it should instead be
Requires:         nss%{?_isa} = %{version}-%{release}
but as you point out the Requires can be removed and same with zlib
rpm -qi zlib | grep Group
Group       : System Environment/Libraries
Comment 2 Jan Kratochvil 2012-06-27 13:01:32 EDT
(In reply to comment #1)
> I think it should instead be
> Requires:         nss%{?_isa} = %{version}-%{release}

Yes, I agree.


> but as you point out the Requires can be removed and same with zlib
> rpm -qi zlib | grep Group
> Group       : System Environment/Libraries

BTW I do not find Group to be relevant for anything discussed here.
Comment 3 Elio Maldonado Batiz 2012-06-28 15:24:32 EDT
Kind of relevant, but looking at teh group is not the way to determine whether the requires on zlib is needed or not, rpmlint is the way. rpmlint nss-tools-nss-3.12.4-r.rpm tells me with an error message that I don't need it. By the way, it also compains about a lot more but those are errors beyond the scope of this bug and being addressed elsewhere.
Comment 4 Fedora Update System 2012-07-08 18:52:03 EDT
nspr-4.9.1-1.fc17,nss-util-3.13.5-1.fc17,nss-softokn-3.13.5-1.fc17,nss-3.13.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nspr-4.9.1-1.fc17,nss-util-3.13.5-1.fc17,nss-softokn-3.13.5-1.fc17,nss-3.13.5-1.fc17
Comment 5 Fedora Update System 2012-07-10 12:31:59 EDT
Package nspr-4.9.1-1.fc17, nss-util-3.13.5-1.fc17, nss-softokn-3.13.5-1.fc17, nss-3.13.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nspr-4.9.1-1.fc17 nss-util-3.13.5-1.fc17 nss-softokn-3.13.5-1.fc17 nss-3.13.5-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10451/nspr-4.9.1-1.fc17,nss-util-3.13.5-1.fc17,nss-softokn-3.13.5-1.fc17,nss-3.13.5-1.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-07-12 14:57:55 EDT
Package nspr-4.9.1-2.fc17, nss-util-3.13.5-1.fc17, nss-softokn-3.13.5-1.fc17, nss-3.13.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nspr-4.9.1-2.fc17 nss-util-3.13.5-1.fc17 nss-softokn-3.13.5-1.fc17 nss-3.13.5-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10451/nspr-4.9.1-2.fc17,nss-util-3.13.5-1.fc17,nss-softokn-3.13.5-1.fc17,nss-3.13.5-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-07-12 16:15:08 EDT
nspr-4.9.1-2.fc16,nss-util-3.13.5-1.fc16,nss-softokn-3.13.5-1.fc16,nss-3.13.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nspr-4.9.1-2.fc16,nss-util-3.13.5-1.fc16,nss-softokn-3.13.5-1.fc16,nss-3.13.5-1.fc16
Comment 8 Fedora Update System 2012-07-19 05:13:57 EDT
nspr-4.9.1-2.fc17, nss-util-3.13.5-1.fc17, nss-softokn-3.13.5-1.fc17, nss-3.13.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-07-30 18:24:27 EDT
nspr-4.9.1-2.fc16, nss-util-3.13.5-1.fc16, nss-softokn-3.13.5-1.fc16, nss-3.13.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.